Subject: Victoria K., Colorado

From: "Taylor Rasmussen" <[email-masked]>
Date: Mon, 25 Jun 2007 13:49:39 -0100

Hello
 Do you have
problems with good pharmacy store at your country? Don't know good place
to buy pills? There won't be any such problem anymore if you'll visit
LegalRxMedications drug store. Buy any medication that you need 
here And get them shipped
worldwide instantly. We provide completely secure and confidential
purchase, instant worldwide shipping and a friendly support.